<?php get_header(); ?>
<div class="wrapper">
	<?php get_sidebar(); ?>
<div id="content">
	<div class="inside">
  	<h1 class="title"><?php printf( __( 'Category Archives: %s' ), '<span>' . single_cat_title( '', false ) . '</span>' ); ?></h1>
		<?php echo category_description(); /* displays the category's description from the Wordpress admin */ ?>
    
    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
      <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        <h2 class="title"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
        <div class="post-meta">
          <div class="fleft"><time datetime="<?php the_time('Y-m-d\TH:i'); ?>"><?php the_time('F j, Y'); ?> at <?php the_time() ?></time> , by <?php the_author_posts_link() ?></div>
          <div class="fright"><?php comments_popup_link('No comments', '1 comment', '% comments', 'comments-link', 'Comments are closed'); ?></div>
        </div><!--.post-meta-->
        <?php if ( has_post_thumbnail()) { ?>
	      <a href="<?php the_permalink() ?>" class="img-wrap"><strong class="img-border"></strong><?php the_post_thumbnail(); ?></a>
      <?php } ?>
        
        <div class="post-content">
          <div class="excerpt"><?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,40);?></div>
          <a href="<?php the_permalink() ?>" class="button">more <span>&rsaquo;&rsaquo;</span></a>
        </div>
      </article>
    <?php endwhile; else: ?>
      <div class="no-results">
        <p><strong>There has been an error.</strong></p>
        <p>We apologize for any inconvenience, please <a href="<?php bloginfo('url'); ?>/" title="<?php bloginfo('description'); ?>">return to the home page</a> or use the search form below.</p>
        <?php get_search_form(); /* outputs the default Wordpress search form */ ?>
      </div><!--noResults-->
    <?php endif; ?>
      
    <?php if ( $wp_query->max_num_pages > 1 ) : ?>
      <nav class="oldernewer">
        <div class="older">
          <?php next_posts_link('&laquo; Older Entries') ?>
        </div><!--.older-->
        <div class="newer">
          <?php previous_posts_link('Newer Entries &raquo;') ?>
        </div><!--.newer-->
      </nav><!--.oldernewer-->
    <?php endif; ?>
  </div>
</div><!--#content-->
<div id="sidebar-right" class="maxheight">
	<div class="inside">
		<?php if ( ! dynamic_sidebar( 'Sidebar Right' ) ) : ?>
		  <!--Widgetized 'Request' for the home page-->
		<?php endif; ?>
	</div>
</div>
</div>
<?php get_footer(); ?>