<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<title>
	<?php if ( is_tag() ) {
			echo 'Tag Archive for &quot;'.$tag.'&quot; | '; bloginfo( 'name' );
		} elseif ( is_archive() ) {
			wp_title(); echo ' Archive | '; bloginfo( 'name' );
		} elseif ( is_search() ) {
			echo 'Search for &quot;'.wp_specialchars($s).'&quot; | '; bloginfo( 'name' );
		} elseif ( is_home() ) {
			bloginfo( 'name' ); 
		}  elseif ( is_404() ) {
			echo 'Error 404 Not Found | '; bloginfo( 'name' );
		} else {
			echo wp_title( ' | ', false, right ); bloginfo( 'name' );
		} ?>
	</title>
	<meta name="keywords" content="<?php wp_title(); echo ' , '; bloginfo( 'name' ); echo ' , '; bloginfo( 'description' ); ?>" />
	<meta name="description" content="<?php wp_title(); echo ' | '; bloginfo( 'description' ); ?>" />
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="index" title="<?php bloginfo( 'name' ); ?>" href="<?php echo get_option('home'); ?>/" />
  <link rel="icon" href="<?php bloginfo( 'template_url' ); ?>/favicon.ico" type="image/x-icon" />
  <link rel="icon" href="<?php echo get_option('mytheme_favicon'); ?>" type="image/x-icon" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'rss2_url' ); ?>" />
	<link rel="alternate" type="application/atom+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'atom_url' ); ?>" />
	<!-- The HTML5 Shim is required for older browsers, mainly older versions IE -->
	<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
  <!--[if lt IE 7]>
    <div style=' clear: both; text-align:center; position: relative;'>
    	<a href="http://www.microsoft.com/windows/internet-explorer/default.aspx?ocid=ie6_countdown_bannercode"><img src="http://www.theie6countdown.com/images/upgrade.jpg" border="0" &nbsp;alt="" /></a>
    </div>
  <![endif]-->
	<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
  <link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'template_url' ); ?>/css/prettyPhoto.css" />
	<?php
		/* We add some JavaScript to pages with the comment form
		 * to support sites with threaded comments (when in use).
		 */
		if ( is_singular() && get_option( 'thread_comments' ) )
			wp_enqueue_script( 'comment-reply' );
	
		/* Always have wp_head() just before the closing </head>
		 * tag of your theme, or you will break many plugins, which
		 * generally use this hook to add elements to <head> such
		 * as styles, scripts, and meta tags.
		 */
		wp_head();
	?>
  <!--[if lt IE 9]>
  <style type="text/css">
    #sidebar,
	#sidebar-right,
	.post_cycle li .post-date,
	.button,
	h1#page-title {
      behavior:url(<?php bloginfo('stylesheet_directory'); ?>/PIE.php)
      }
  </style>
  <![endif]-->
  
  <script type="text/javascript">
  	// initialise plugins
		jQuery(function(){
			// main navigation init
			jQuery('ul.sf-menu').superfish({
				delay:       <?php echo get_option('theme1275_sf_delay'); ?>, 		// one second delay on mouseout 
				animation:   {opacity:'<?php echo get_option('theme1275_sf_fade_in'); ?>',height:'<?php echo get_option('theme1275_sf_slide_down'); ?>'}, // fade-in and slide-down animation 
				speed:       '<?php echo get_option('theme1275_sf_speed'); ?>',  // faster animation speed 
				autoArrows:  <?php echo get_option('theme1275_sf_arrows'); ?>        // generation of arrow mark-up (for submenu) 
			});
			
			// prettyphoto init
			jQuery("#gallery .portfolio a[rel^='prettyPhoto']").prettyPhoto({
				animationSpeed:'slow',
				theme:'facebook',
				slideshow:false,
				autoplay_slideshow: false,
				show_title: true,
				overlay_gallery: false
			});
		});
  </script>
  
  <script type="text/javascript">
		jQuery(window).load(function() {
			// nivoslider init
			jQuery('#slider').nivoSlider({
				effect: '<?php echo get_option('theme1275_sl_effects'); ?>',
				animSpeed:<?php echo get_option('theme1275_sl_animspeed'); ?>,
				pauseTime:<?php echo get_option('theme1275_sl_pausetime'); ?>,
				startSlide:<?php echo get_option('theme1275_sl_startSlide'); ?>,
				slices:<?php echo get_option('theme1275_sl_slices'); ?>,
				directionNav:<?php echo get_option('theme1275_sl_directionNav'); ?>,
				directionNavHide:<?php echo get_option('theme1275_sl_directionNavHide'); ?>,
				controlNav:<?php echo get_option('theme1275_sl_controlNav'); ?>,
				controlNavThumbs:<?php echo get_option('theme1275_sl_controlNavThumbs'); ?>,
				keyboardNav:<?php echo get_option('theme1275_sl_keyboardNav'); ?>,
				pauseOnHover:<?php echo get_option('theme1275_sl_pauseOnHover'); ?>,
				captionOpacity:<?php echo get_option('theme1275_sl_captionOpacity'); ?>
			});
		});
	</script>
  
  <!-- Custom CSS -->
  <?php $theme1275_custom_css = get_option('theme1275_custom_css'); ?>
	<?php if($theme1275_custom_css){?>
  <style type="text/css">
  	<?php echo get_option('theme1275_custom_css'); ?>
  </style>
  <?php }?>
</head>

<body <?php body_class(); ?> onLoad="new ElementMaxHeight();">

<div id="main"><!-- this encompasses the entire Web site -->

<div class="main-box container">
	<div class="main-box-top">
		<header id="header">
	        <div class="logo">
	           <?php $theme1275_logo = get_option('theme1275_logo'); ?>
	           <?php if($theme1275_logo){?>
	           <a href="<?php bloginfo('url'); ?>/"><img src="<?php echo get_option('theme1275_logo'); ?>" alt="<?php bloginfo('name'); ?>" title="<?php bloginfo('description'); ?>"></a>
	           <?php } else { ?>
	           <?php if( is_front_page() || is_home() || is_404() ) { ?>
	           <h1><a href="<?php bloginfo('url'); ?>/" title="<?php bloginfo('description'); ?>"><?php bloginfo('name'); ?></a></h1>
		      <?php } else { ?>
	           <h2><a href="<?php bloginfo('url'); ?>/" title="<?php bloginfo('description'); ?>"><?php bloginfo('name'); ?></a></h2>
		      <?php } ?>
	           <?php }?>
             </div>
		   <nav class="primary">
		      <?php wp_nav_menu( array(
			  'container'       => 'ul', 
			  'menu_class'      => 'sf-menu', 
			  'menu_id'         => 'topnav',
			  'depth'           => 0,
			  'theme_location' => 'header_menu' 
			  )); 
			?>
             </nav>
	        <!--.primary-->
	        <div class="header-top">
	        <div id="widget-header">
	           <?php if ( ! dynamic_sidebar( 'Header' ) ) : ?>
	           <!-- Widgetized Header -->
	           <?php endif ?>
               </div><!--#widget-header-->
			<?php if ( get_option('theme1275_searchbox') == 'true') { ?>  
	        <div id="top-search">
	           <form method="get" action="<?php echo get_option('home'); ?>/">
	              <label>search</label><span class="input-search"><input type="text" name="s" /></span><input type="submit" value="" id="submit">
                </form>
	           </div>
		   <?php } ?>
		   </div>
		   <!--.container-->
          </header>		
	</div>
	<div class="primary_content_wrap clearfix main-box-tail">
		<div class="main-box-extra-bot">
			<?php if( is_front_page() ) { ?>
				  <section id="slider-wrapper">
					   <?php include_once(TEMPLATEPATH . '/slider.php'); ?>
				  </section>
				  <!--#slider-->
				  <?php } ?>
				  <div class="main-box-inner">