<?php
function elegance_widgets_init() {
	// Header Widget
	// Location: right after the navigation
	register_sidebar(array(
		'name'					=> 'Header',
		'id' 						=> 'header-sidebar',
		'description'   => __( 'Located at the top of pages.'),
		'before_widget' => '<div id="%1$s" class="widget-header %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// Request Widget
	// Location: at the top of the content
	register_sidebar(array(
		'name'					=> 'Request',
		'id' 						=> 'request-sidebar',
		'description'   => __( 'Located at the top of the content.'),
		'before_widget' => '<div id="%2$s" class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// Content Widget
	// Location: at the top of the content
	register_sidebar(array(
		'name'					=> 'Content Top',
		'id' 						=> 'cont-sidebar-top',
		'description'   => __( 'Located at the top of the content.'),
		'before_widget' => '<div id="%2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// Content Widget
	// Location: at the bottom of the content
	register_sidebar(array(
		'name'					=> 'Content Bottom',
		'id' 						=> 'cont-sidebar-bot',
		'description'   => __( 'Located at the bottom of the content.'),
		'before_widget' => '<div id="%2$s" class="widget-area">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// Sidebar Widget
	// Location: the sidebar
	register_sidebar(array(
		'name'					=> 'Sidebar',
		'id' 						=> 'main-sidebar',
		'description'   => __( 'Located at the left side of pages.'),
		'before_widget' => '<div id="%1$s" class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// Sidebar Widget
	// Location: the sidebar
	register_sidebar(array(
		'name'					=> 'Sidebar Right',
		'id' 						=> 'right-sidebar',
		'description'   => __( 'Located at the right side of pages.'),
		'before_widget' => '<div id="%1$s" class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// Contact Form Widget
	// Location: Contacts page
	register_sidebar(array(
		'name'					=> 'Contact Form',
		'id' 						=> 'contact_form',
		'description'   => __( 'Located at the left side of Contacts page.'),
		'before_widget' => '<div id="%1$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// Address Widget
	// Location: Contacts page
	register_sidebar(array(
		'name'					=> 'Address',
		'id' 						=> 'address',
		'description'   => __( 'Located at the right side of Contacts page.'),
		'before_widget' => '<div id="%1$s" class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
}
/** Register sidebars by running elegance_widgets_init() on the widgets_init hook. */
add_action( 'widgets_init', 'elegance_widgets_init' );
?>